<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__smp__sc__peer__oob__data__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_smp_sc_peer_oob_data_t</compoundname>
    <includes local="no">wiced_bt_dev.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__smp__sc__peer__oob__data__t_1a0f7ff2c51730de484e867dd601f443ba" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_smp_sc_peer_oob_data_t::present</definition>
        <argsstring />
        <name>present</name>
        <briefdescription>
<para>TRUE if local oob is present. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="386" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="386" />
      </memberdef>
      <memberdef id="structwiced__bt__smp__sc__peer__oob__data__t_1a5b1f13b047f7909f78351cabd6277f95" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga3081047eede654f70f0bf771e34e47a8">BT_OCTET16</ref></type>
        <definition>BT_OCTET16 wiced_bt_smp_sc_peer_oob_data_t::randomizer</definition>
        <argsstring />
        <name>randomizer</name>
        <briefdescription>
<para>randomizer </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="387" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="387" />
      </memberdef>
      <memberdef id="structwiced__bt__smp__sc__peer__oob__data__t_1af7ad76d8b63a670d427780a144f8c127" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga3081047eede654f70f0bf771e34e47a8">BT_OCTET16</ref></type>
        <definition>BT_OCTET16 wiced_bt_smp_sc_peer_oob_data_t::commitment</definition>
        <argsstring />
        <name>commitment</name>
        <briefdescription>
<para>commitment </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="388" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="388" />
      </memberdef>
      <memberdef id="structwiced__bt__smp__sc__peer__oob__data__t_1a43558bb92165ccf25a54459424e951b4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__ble__address__t">wiced_bt_ble_address_t</ref></type>
        <definition>wiced_bt_ble_address_t wiced_bt_smp_sc_peer_oob_data_t::addr_received_from</definition>
        <argsstring />
        <name>addr_received_from</name>
        <briefdescription>
<para>peer address </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="389" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="389" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Data associated with the information received from the peer via OOB interface. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="672">
        <label>wiced_bt_ble_address_t</label>
        <link refid="structwiced__bt__ble__address__t" />
      </node>
      <node id="671">
        <label>wiced_bt_smp_sc_peer_oob_data_t</label>
        <link refid="structwiced__bt__smp__sc__peer__oob__data__t" />
        <childnode refid="672" relation="usage">
          <edgelabel>addr_received_from</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="390" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="384" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="385" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__smp__sc__peer__oob__data__t_1a43558bb92165ccf25a54459424e951b4" virt="non-virtual"><scope>wiced_bt_smp_sc_peer_oob_data_t</scope><name>addr_received_from</name></member>
      <member prot="public" refid="structwiced__bt__smp__sc__peer__oob__data__t_1af7ad76d8b63a670d427780a144f8c127" virt="non-virtual"><scope>wiced_bt_smp_sc_peer_oob_data_t</scope><name>commitment</name></member>
      <member prot="public" refid="structwiced__bt__smp__sc__peer__oob__data__t_1a0f7ff2c51730de484e867dd601f443ba" virt="non-virtual"><scope>wiced_bt_smp_sc_peer_oob_data_t</scope><name>present</name></member>
      <member prot="public" refid="structwiced__bt__smp__sc__peer__oob__data__t_1a5b1f13b047f7909f78351cabd6277f95" virt="non-virtual"><scope>wiced_bt_smp_sc_peer_oob_data_t</scope><name>randomizer</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>